import React from 'react';
import {connect} from 'react-redux';
import Inspect from '@components/Inspect';
import {getSearchList,getSublableList,getInstroduce } from '@store/async-actions/inspect';
import {setLabel,fillActived,fillActiveDetail,checkValueIsChange,delExcelLis,clearLabel,delPartItem} from '@store/actions/inspect';
import {billing} from '@store/async-actions/pushMessage';
function mapStateToProps(state) {//console.log(state)
    return {
        list:state.inspect.list,
        labelList:state.inspect.labelList,
        fillActive:state.inspect.fillActive,
        getExcelDataList:state.inspect.getExcelDataList,
        labelListActive:state.inspect.labelListActive,
        inspectList:state.homePage.inspectList,
        inspectVal:state.inspect.inspectVal
    }
}

function mapDispatchToProps(dispatch, store) {
    return {
        handleChangeValue(val){
            dispatch(getSearchList(val))
        },
        getInfomation(id,name,type){
            dispatch(getInstroduce(id,name,type))
        },
        handleSign(id,idx,type){
            dispatch(setLabel(idx,type))
            dispatch(getSublableList(id))
        },
        handleLabelSub(e,id,idx){
            dispatch(fillActived(id,idx))
            // e.stopPropagation()
        },
        handleClear(e,idx){
            e.stopPropagation();
            dispatch(clearLabel(idx))
        },
        handleConfirm(e,idx,time,arr){
            e.stopPropagation();
            dispatch(checkValueIsChange(idx,time,arr))
        },
        changeActivePart(idx,value){
            dispatch(fillActiveDetail(idx,value))
        },
        handleCloseExcel(idx){
            dispatch(delExcelLis(idx));
        },
        delPartItem(idx){
            dispatch(delPartItem(idx))
        },
        //右侧推送
        fetchPushInfos(){
          //调右侧推送
          dispatch(billing());
        }
    }
}

const InspectAction = connect(mapStateToProps, mapDispatchToProps)(Inspect);

export default InspectAction;